## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           lvgl 
Version:        9.2.2 
Release:        %autorelease
Summary:        Light and Versatile Graphics Library

License:        MIT
URL:            https://github.com/lvgl/lvgl
Source:         %{url}/archive/v%{version}/lvgl-%{version}.tar.gz
Patch:          initializevariable.patch
Patch:          cstdint.patch
Patch:          argswap.patch
Patch:          getwd.patch
Patch:          morevariableinit.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ninja-build
BuildRequires:  libasan
BuildRequires:  libpng-devel 
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  freetype-devel
BuildRequires:  glew-devel
BuildRequires:  glfw-devel
BuildRequires:  SDL2-devel
BuildRequires:  ruby-devel
BuildRequires:  python3-devel
BuildRequires:  libinput-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  libdrm-devel
BuildRequires:  libubsan
BuildRequires:  libudev-devel
BuildRequires:  pkg-config
BuildRequires:  wayland-protocols-devel
BuildRequires:  wayland-devel
BuildRequires:  pngquant
BuildRequires:  python3dist(pypng)
BuildRequires:  python3dist(lz4)
BuildRequires:  python3dist(kconfiglib)
# Documentation dependencies
#BuildRequires:  doxygen
#BuildRequires:  python3dist(breathe)
#Not packaged
#BuildRequires:  python3dist(dirsync)
#BuildRequires:  python3dist(imagesize)
#BuildRequires:  python3dist(importlib-metadata)
#BuildRequires:  python3dist(sphinx)
#BuildRequires:  python3dist(sphinx-rtd-theme)
#BuildRequires:  python3dist(sphinx-sitemap)
#Not packaged
##BuildRequires:  python3dist(sphinxcontrib-applehelp)
#BuildRequires:  python3dist(sphinxcontrib-devhelp)
#BuildRequires:  python3dist(sphinxcontrib-htmlhelp)
#Not packaged
##BuildRequires:  python3dist(sphinxcontrib-jsmath)
#BuildRequires:  python3dist(sphinxcontrib-qthelp)
#BuildRequires:  python3dist(sphinxcontrib-serializinghtml)
#Not packaged
##BuildRequires:  python3dist(sphinxcontrib-mermaid)
#BuildRequires:  python3dist(sphinx-design)
#Not packaged
##BuildRequires:  python3dist(sphinx-rtd-dark-mode)
#BuildRequires:  python3dist(typing-extensions)
#BuildRequires:  python3dist(sphinx-reredirects)
#BuildRequires:  texlive

%description
LVGL is the most popular free and open source embedded graphics library to 
create beautiful UIs for any MCU, MPU and display type. It's supported by
industry leading vendors and projects like  Arm, STM32, NXP, Espressif,
Nuvoton, Arduino, RT-Thread, Zephyr, NuttX, Adafruit and many more.

%package examples
Summary: Examples for LVGL
Requires: %{name}%{?_isa} = %{version}-%{release}

%description examples
Examples distributed with LVGL.

%package examples-devel
Summary: Development libraries and header files

%description examples-devel
Development libraries and header files for LVGL examples.

%package demos
Summary: Demos for LVGL
Requires: %{name}%{?_isa} = %{version}-%{release}

%description demos
Demos distributed with LVGL.

%package demos-devel
Summary: Development libraries and header files

%description demos-devel
Development libraries and header files for LVGL demos.

%package devel
Summary: Development libraries and header files
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development libraries and header files for LVGL.

#%%package doc
#Summary: Documentation for LVGL

#%%description doc
#Documentation provided by LVGL.

%prep
%autosetup -n lvgl-%{version} -p1


%build
cp lv_conf_template.h lv_conf.h
%cmake -DBUILD_SHARED_LIBS=ON
%cmake_build
#pushd docs
#%%python3 build.py latex
#%%python3 build.py html
#popd

%install
%cmake_install

%check
%python3 tests/main.py test
%python3 tests/main.py build

%files
%license LICENCE.txt
%doc README.md
%{_libdir}/liblvgl.so.9*
%{_libdir}/liblvgl_thorvg.so.9*


%files devel
%dir %{_includedir}/lvgl
%{_includedir}/lvgl/*.h
%{_includedir}/lvgl/src/
%{_libdir}/liblvgl.so
%{_libdir}/liblvgl_thorvg.so
%{_libdir}/pkgconfig/lvgl.pc

%files examples
%{_libdir}/liblvgl_examples.so.9*

%files examples-devel
%{_includedir}/lvgl/examples/
%{_libdir}/liblvgl_examples.so

%files demos
%{_libdir}/liblvgl_demos.so.9*

%files demos-devel
%{_includedir}/lvgl/demos/
%{_libdir}/liblvgl_demos.so

%changelog
## START: Generated by rpmautospec
* Tue Mar 25 2025 John Doe <packager@example.com> - 9.2.2-1
- Uncommitted changes
## END: Generated by rpmautospec
